#!/bin/sh -

set -x

export USER=root HOME=/root DISPLAY=:0 XAUTHORITY=$HOME/.Xauthority

mkdir -p $HOME/.vnc
echo '' | vncpasswd -f >$HOME/.vnc/passwd
chmod -R go= $HOME/.vnc

vncserver $DISPLAY -geometry 1280x768 -depth 16 -nolisten tcp

#ratpoison & wm=$!
icewm & wm=$!

waterfox --headless &
waterfox=$!
sleep 2
kill -HUP $waterfox
mv handlers.json /root/.waterfox/*.default/

wait $wm
vncserver -kill $DISPLAY
